@import './colors';
@import './variables';
@import './mixins';

$navSpacing: 2.9vw;

.orange-line {
	background: map-get($colors, yellow);
	width: 100%;
	height: 0.5vh;
}

header {
	display: flex;
	justify-content: flex-end;
	user-select: none;

	nav {
		@include orangeButtons();
		display: flex;
		width: 38.7vw;
		padding: 0 $navSpacing;

		.item {
			margin-right: $navSpacing;
			white-space: nowrap;
			display: flex;
			cursor: pointer;

			i {
				font-size: 16pt;
				margin-right: 5%;
			}
		}

		>div:last-of-type {
			margin-right: 0;
		}
	}

	>div.background-sound-button {
		@include orangeButtons();
		padding: 0 0.65vw;
		margin: 0 1.70vw;
		cursor: pointer;
	}

}

.container {
	margin: 0 auto;
	width: 96.5%;
	user-select: none;

	>.left,
	>.right {
		display: inline-block;
	}

	>.left {
		float: left;
		width: 47%;
		margin-right: 1.75%;

		.ribbon {
			margin-top: -2.5vh;
			position: relative;
			margin-left: -1.713vw;

			.title {
				display: flex;
				align-items: center;
				width: 83%;
				height: 8.6vh;
				margin-top: -15vh;
				margin-bottom: 3vh;
				font-family: 'Roboto-Slab';
				font-weight: bold;
				color: map-get($colors, inButtonText);
				padding: 1.8% 4%;
				font-size: 15.1pt;
				line-height: 3vh;
			}
		}

		// First section
		.white-box.trophies {
			padding: 4%;

			>div:first-of-type {
				margin-bottom: 3%;
			}

			>div>img {
				margin-right: 5%;
				width: 10%;
			}

			>div>img:last-of-type {
				margin-right: 0;
			}
		}

		// Second section
		.white-box.lesson {
			margin: 3.5% 0;

			h3 {
				font-family: 'Roboto';
				font-weight: bold;
				font-size: larger;
				color: map-get($colors, red);
			}

			h3.answer {
				color: map-get($colors, blue);
			}

			.content {
				padding: 1vw;
				height: 19vh;
				overflow: auto;

				ul {
					color: map-get($colors, gray);
					font-size: larger;
					margin: 0.98vw 1.5vw;
					margin-bottom: 0;
					list-style: none;
					line-height: 2.7vh;
					padding: 0;

					li {
						display: flex;
						align-items: center;

						i {
							cursor: pointer;
						}

						span.bullet {
							color: red;
							font-weight: bold;
							margin-left: 0.5vw;
							margin-right: 0.5vw;
							display: inline-block;
						}
					}

					li {
						margin-bottom: 0.5vw;
					}

					li:last-of-type {
						margin-bottom: 0;
					}
				}
			}

			nav {
				overflow: hidden;
				background: map-get($colors, yellow);
				color: map-get($colors, inButtonText);
				padding: 1% 2.8%;

				i {
					cursor: pointer;
					user-select: none;
				}

				.left {
					width: 70%;
					float: left;

					div {
						display: flex;
						align-items: center;
					}

					i.next {
						margin-right: 3vw;
					}

					div.pageStats {
						margin: 0 4%;
					}
				}

				.right {
					width: 30%;
					float: right;
					text-align: right;
				}

			}
		}

		//Third section
		.game-managment {
			display: flex;
			clear: both;

			>div {
				margin-right: 3.5%;
			}

			>div:last-of-type {
				margin-right: 0;
			}

			.bee-container,
			.bee-controls {
				width: 24%;
				padding: 1.4%;
			}

			// Movement
			.bee-controls {
				color: #fff;
				text-align: center;

				svg {
					pointer-events: none;
				}

				img,
				i {
					cursor: pointer;
				}

				i,
				span {
					background: #ffa01e;
					border-bottom: 3px #cc8018 solid;
					border-radius: 5px;
					vertical-align: middle;
					transition: all ease 0.3s;
				}

				span.go-button {
					width: 30px;
					height: 27px;
					line-height: 30px;
					border-bottom: 3px #46964f solid;
					display: inline-block;
					background: #57bb63;
					border-radius: 50%;
					text-align: center;
					font-size: 10pt;
					font-weight: bold;
					cursor: pointer;
					margin: 8px;
				}

				div:first-of-type i,
				div:last-of-type i {
					padding: 8px 3px;
				}

				div:nth-last-of-type(2) i {
					padding: 1px 10px;
				}

				>div:last-of-type i {
					vertical-align: bottom;
				}

				>div:last-of-type i:nth-last-of-type(2) {
					margin: 0 10px;
				}

				div:last-of-type i:first-of-type,
				div:last-of-type i:last-of-type {
					background: #2980b9;
					border-bottom: 3px #216694 solid;
					padding: 1px 8px;
				}
			}

			// Drawing
			.board-manager {
				width: 40%;

				img {
					cursor: pointer;
					margin-right: 7%;
				}

				>div img:last-of-type {
					margin-right: 0;
				}

				.colors {
					border-bottom: 1px #d9d9d9 solid;
					margin-bottom: 10px;
					padding: 10px
				}

				.tools {
					padding-bottom: 10px;

					>span:first-of-type {
						border-right: 1px #d9d9d9 solid;
					}

					span {
						display: inline-block;
						width: 49%;
						text-align: center;
					}

					>span:first-of-type>img:first-of-type {
						margin-right: 2vw;
					}

					img {
						vertical-align: middle;
					}
				}
			}

			// Bee
			.bee-container {
				display: flex;
				align-items: center;
				justify-content: center;

				&.flexStart {
					align-items: flex-start;
					justify-content: flex-start;

					>div {
						height: 18.8vh;
						overflow: auto;

						i {
							font-size: 23px;
						}
					}
				}

				img {
					cursor: move;
				}

				img.invisible {
					display: none;
				}
			}
		}
	}

	>.right {
		float: right;
		width: 51%;

		.board-container {
			position: relative;
			width: 634px;
			height: 634px;
			margin-top: 5.4vh;
		}

		#drawing-board,
		.board {
			width: 100%;
			height: 100%;
			position: absolute;
			top: 0;
			left: 0;
			transform-origin: top left;
		}

		#title-board .drawing-board-canvas-wrapper {
			border: none;
			margin: 0;
		}
	}

	.hoveringBee {
		position: absolute;
		transform-origin: top left;
		top: 0;
		left: -13px;
		pointer-events: none;
	}
}